summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
Diffstat (limited to 'check')
-rwxr-xr-xcheck15
1 files changed, 15 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..ad52a7a
--- /dev/null
+++ b/check
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -eu
+
+# We need to set PYTHONPATH so that yarnstep.py is found in the
+# IMPLEMENTS when yarn runs them.
+if env | grep '^PYTHONPATH=' > /dev/null
+then
+ PYTHONPATH="$PYTHONPATH:."
+else
+ PYTHONPATH="."
+fi
+
+yarn --env "PYTHONPATH=$PYTHONPATH" \
+ --shell python2 --shell-arg '' *.yarn "$@"